"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const node_prismjs_1 = __importDefault(require("node-prismjs"));
const utils_1 = __importDefault(require("jsonml.js/lib/utils"));
const { getChildren, getAttributes, isElement } = utils_1.default;
const getCode = (node) => getChildren(getChildren(node)[0] || '')[0] || '';
/**
 * 高亮语法
 * @param node 节点
 */
function highlight(node) {
    if (!isElement(node)) {
        return;
    }
    if (utils_1.default.getTagName(node) !== 'pre') {
        getChildren(node).forEach(highlight);
        return;
    }
    var language = node_prismjs_1.default.languages[getAttributes(node).lang] || node_prismjs_1.default.languages.autoit;
    getAttributes(node).highlighted = node_prismjs_1.default.highlight(getCode(node), language);
}
exports.default = () => (markdownData) => {
    highlight(markdownData.content);
    return markdownData;
};
